Table of Contents

Class: Message | Twisted-0.17.4/twisted/protocols/dns.py
--- | ---

Methods |
--- | ---
__init__ addQuery decode encode fromStr toStr
| __init__

    __init__ (
            self,
            id=0,
            answer=0,
            opCode=0,
            recDes=0,
            recAv=0,
            auth=0,
            rCode=OK,
            trunc=0,
            maxSize=512,
            )

| addQuery

    addQuery (
            self,
            name,
            type=1,
            cls=1,
            )

| decode

    decode ( self,  strio )

| encode

    encode ( self,  strio )

| fromStr

    fromStr ( self,  str )

| toStr

    toStr ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0